You need to enable JavaScript to run this app.
Torch Log Service

Torch Log Service

Copy page
Download PDF
Data processor API
DescribeProcessor
Copy page
Download PDF
DescribeProcessor
Call the DescribeProcessor API to retrieve detailed information about the specified data processor.​
Request instructions​
  • Request method: GET​
  • Request URL: https://{tls-endpoint}/DescribeProcessor​
Request parameters​
The table below lists only the unique parameters for this API and some common parameters. For more information, see Common Parameters.​
Query​
​
Parameters​
Type​
Required​
Example value​
Description​
ProcessorId​
String​
Yes​
9e91e9e5-2063-4182-8eff-b7371500****​
Data processor ID.​
​
Response parameters​
The table below only lists the return parameters unique to this interface For more information, see Return Structure​
​
Parameters​
Type​
Example value​
Description​
AccountId​
String​
214748****​
Unique account identifier used to distinguish between different accounts.​
CreateTime​
String​
2023-01-15T08:30:00Z​
Creation time of the data processor.​
DSLContent​
String​
f_rename("path", "newpath")​
DSL content of the processor.​
Defines specific logic or configuration for the processor. Length must be between 1 and 4,000 characters.​
Description​
String​
This is a data processor​
Description of the data processor.​
Briefly describes the purpose or function of the data processor. The length must be between 1 and 255 characters.​
FailStrategy​
String​
keep_raw​
Strategy when the data processor fails. Supported values are listed below.​
  • keep_raw: retain the original data​
  • drop_log: Discard log.​
ProcessorId​
String​
9e91e9e5-2063-4182-8eff-b7371500****​
Data processor ID.​
ProcessorName​
String​
log_processor_1​
Name of the data processor.​
Uniquely identifies a data processor. The length must be between 1 and 63 characters.​
ProcessorStatus​
String​
enabled​
Status of the data processor.​
  • Enabled (default): Indicates the processor is enabled.​
  • Disabled: Indicates the processor is not enabled.​
ProjectId​
String​
3ab4ffc5-a5d7-43c1-9012-8466c26c****​
Project ID.​
ProjectName​
String​
my-log-project​
Name of the associated project.​
UpdateTime​
String​
2023-01-15T10:45:00Z​
Last update time of the data processor.​
​
Sample request​
​
GET https://{tls-endpoint}/DescribeProcessor?&ProcessorId=9e91e9e5-2063-4182-8eff-b7371500**** HTTP/1.1​
Content-Type: application/json​
​
Sample response​
​
Content-Type: application/json; charset=utf-8​
{​
"AccountId": "214748****",​
"CreateTime": "2023-01-15T08:30:00Z",​
"DSLContent": "f_rename("path", "newpath")",​
"Description": "This is a data processor for renaming file paths",​
"FailStrategy": "keep_raw",​
"ProcessorId": "9e91e9e5-2063-4182-8eff-b7371500****",​
"ProcessorName": "log_processor_1",​
"ProcessorStatus": "enabled",​
"ProjectId": "3ab4ffc5-a5d7-43c1-9012-8466c26c****",​
"ProjectName": "my-log-project",​
"UpdateTime": "2023-01-15T10:45:00Z"​
}​
​
Error Code​
Visit Common Error Codes to get more information about error codes​
Last updated: 2026.05.07 11:17:18